From: Ole Streicher <olebole@debian.org>
Date: Thu, 28 May 2015 16:48:49 +0200
Subject: Replace the build date with the last changed date of configure.ac

This shall help to make the build reproducible.
---
 configure.ac | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/configure.ac b/configure.ac
index 06b984d..63fb814 100644
--- a/configure.ac
+++ b/configure.ac
@@ -38,10 +38,11 @@ AC_CONFIG_AUX_DIR(autoconf)
 AC_CONFIG_SRCDIR(src/makeit.c)
 AC_CONFIG_HEADERS(config.h)
 AM_INIT_AUTOMAKE
-date=`date +%Y-%m-%d`
-date1=`date -R`
-date2=`date +"%a %b %d %Y"`
-date3=`date +"%B %Y"`
+d0=`fgrep "Last modified" configure.ac | cut -d: -f2- | head -1 | sed "s+\(..\)/\(..\)/\(....\)+\\3-\\2-\\1+"`
+date=`date +%Y-%m-%d -d $d0`
+date1=`date -R -d $d0`
+date2=`date +"%a %b %d %Y" -d $d0`
+date3=`date +"%B %Y" -d $d0`
 AC_DEFINE_UNQUOTED(DATE, "$date", [Archive creation date])
 AC_SUBST(PACKAGER, "AstrOmatic")
 AC_SUBST(DATE1, "$date1")
